# SpecMe

You have a great README, with great code examples, just make sure they are correct

## How?

Simply by writing code blocks like this one

```md
    <!-- SpecMe -->
    ```ruby

        completelyNewAdder = MyShinyCodeGenerator.new( :adder )
        completelyNewAdder(1, 2, 3)   #-->    6

    ```
```

Which will create specs like this
```ruby

    describe "Some generated or provided name" do
      it "some other generated or provided name" do
        completelyNewAdder = MyShinyCodeGenerator.new( :adder )
        expect(
          completelyNewAdder(1, 2, 3)
        ).to eq(
          6
        )
      end
    end
```

## And How exactly?


[See here](dox/UserManual.md)
